#----------------------------------------------------------------------------
#       Borland Workspace
#
# BorlandWorkspaceCreator.pm,v 1.16 2004/09/28 14:14:29 elliott_c Exp
#
# This file was generated by MPC.  Any changes made directly to
# this file will be lost the next time it is generated.
#
# MPC Command:
# bin/mwc.pl -include /tmp/rerelease/ACE_wrappers/MPC/config -include /tmp/rerelease/ACE_wrappers/MPC/templates -type borland -recurse -hierarchy -relative ACE_ROOT=/tmp/rerelease/ACE_wrappers -exclude ASNMP/asnmp.mwc,TAO/TAOACE.mwc,TAO/CIAO/CIAOTAO.mwc
#----------------------------------------------------------------------------

!include <$(ACE_ROOT)\include\makeinclude\make_flags.bor>

all: C++NPv2_CLD C++NPv2_Configurable_Log_Server C++NPv2_Display_Logfile C++NPv2_Reactor_Log_Server C++NPv2_SLD C++NPv2_SLDex C++NPv2_SR_Configurable_Log_Server C++NPv2_Select_Reactor_Log_Server C++NPv2_TPLS C++NPv2_TP_Reactor_Log_Server C++NPv2_WFMO_Reactor_Log_Server

clean:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_CLD.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Configurable_Log_Server.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Display_Logfile.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Reactor_Log_Server.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SLD.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SLDex.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SR_Configurable_Log_Server.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Select_Reactor_Log_Server.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_TPLS.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_TP_Reactor_Log_Server.bor clean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_WFMO_Reactor_Log_Server.bor clean

realclean:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_CLD.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Configurable_Log_Server.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Display_Logfile.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Reactor_Log_Server.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SLD.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SLDex.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SR_Configurable_Log_Server.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Select_Reactor_Log_Server.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_TPLS.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_TP_Reactor_Log_Server.bor realclean
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_WFMO_Reactor_Log_Server.bor realclean

install:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_CLD.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Configurable_Log_Server.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Display_Logfile.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Reactor_Log_Server.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SLD.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SLDex.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SR_Configurable_Log_Server.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Select_Reactor_Log_Server.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_TPLS.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_TP_Reactor_Log_Server.bor install
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_WFMO_Reactor_Log_Server.bor install

C++NPv2_CLD:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_CLD.bor all

C++NPv2_Configurable_Log_Server:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Configurable_Log_Server.bor all

C++NPv2_Display_Logfile:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Display_Logfile.bor all

C++NPv2_Reactor_Log_Server:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Reactor_Log_Server.bor all

C++NPv2_SLD:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SLD.bor all

C++NPv2_SLDex:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SLDex.bor all

C++NPv2_SR_Configurable_Log_Server:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_SR_Configurable_Log_Server.bor all

C++NPv2_Select_Reactor_Log_Server:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_Select_Reactor_Log_Server.bor all

C++NPv2_TPLS:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_TPLS.bor all

C++NPv2_TP_Reactor_Log_Server:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_TP_Reactor_Log_Server.bor all

C++NPv2_WFMO_Reactor_Log_Server:
	$(MAKE) -$(MAKEFLAGS) $(MAKE_FLAGS) -f C++NPv2_WFMO_Reactor_Log_Server.bor all

project_name_list:
	@echo C++NPv2_CLD
	@echo C++NPv2_Configurable_Log_Server
	@echo C++NPv2_Display_Logfile
	@echo C++NPv2_Reactor_Log_Server
	@echo C++NPv2_SLD
	@echo C++NPv2_SLDex
	@echo C++NPv2_SR_Configurable_Log_Server
	@echo C++NPv2_Select_Reactor_Log_Server
	@echo C++NPv2_TPLS
	@echo C++NPv2_TP_Reactor_Log_Server
	@echo C++NPv2_WFMO_Reactor_Log_Server
